=== debian/changelog ===
cluster3 (1.50-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1188966)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 14 Jul 2013 14:25:41 +0200

cluster3 (1.50-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * New upstream release (1.50).
  * debian/rules: target get-orig-source added
  
  [ Steffen Moeller ]
  * New upstream release (1.40).
  * Improved on debian/rules.
  * Finally submitted ITP (Closes: Bug#286167).
 
  [ Charles Plessy ]
  * Initial release.
  * Manpage built before source package generation, removed docbook-to-man
    build dependency. 

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Jul 2012 18:00:00 +0200

cluster3 (1.25-0.2) UNRELEASED; urgency=low

  * Provides both the motif gui and command line interface.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue,  7 Apr 2004 18:31:37 +0200

cluster3 (1.25-0.1) UNRELEASED; urgency=low

  * Initial Release.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue,  6 Apr 2004 18:31:37 +0200
