=== debian/control ===
Source: cluster3
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
  Charles Plessy <plessy@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9), 
  libmotif-dev, 
  autotools-dev, 
  perl, 
  libx11-dev,
  libice-dev,
  libxext-dev,
  libsm-dev,
  libxt-dev,
  docbook-to-man
Standards-Version: 3.9.3
Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cluster3/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cluster3/trunk/

Package: cluster3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: treeview
Suggests: mapleview, smile
Description: Reimplementation of the Eisen-clustering software
 The open source clustering software available here contains clustering
 routines that can be used to analyze gene expression data. Routines for
 hierarchical (pairwise simple, complete, average, and centroid linkage)
 clustering, k-means and k-medians clustering, and 2D self-organizing maps
 are included. The routines are available in the form of a C clustering
 library, an extension module to Python, a module to Perl, as well as an
 enhanced version of Cluster, which was originally developed by Michael
 Eisen of Berkeley Lab. The C clustering library and the associated
 extension module for Python was released under the Python license. The
 Perl module was released under the Artistic License. Cluster 3.0 is
 covered by the original Cluster/TreeView license.
 .
 This package only contains the command line and motif gui versions
 of Cluster 3.0.
