=== debian/changelog ===
cluster3 (1.52-2) unstable; urgency=low

  * add patch from Stefano Rivera (build on armhf) (Closes: #723561)
  
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2013 18:00:00 +0200

cluster3 (1.52-1) unstable; urgency=low

  * rebuild needed for motif transition (Closes: #713062)
  * New upstream release (1.52)
  * debian/xcluster3.sgml: fix errors
  * debian/control: canonical vcs-* fields
  * debin/control: bumped to 3.9.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Sep 2013 19:00:00 +0200
