=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
   libsm-dev,
   libxt-dev,
   docbook-to-man
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cluster3/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cluster3/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cluster3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cluster3/trunk/
 
 Package: cluster3
 Architecture: any
