=== debian/changelog ===
cluster3 (1.52a-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2014 08:58:43 +0200
