=== debian/watch ===
version=3
http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar.gz
