=== windows/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 cluster.chm: cluster.hhp $(HTMLDIR)/index.html
 	mv cluster.hhp $(HTMLDIR)
 	cd $(HTMLDIR)
-	-hhc $(HTMLDIR)/cluster.hhp
+	hhc $(HTMLDIR)/cluster.hhp
 	mv $(HTMLDIR)/cluster.chm $(HTMLDIR)/cluster.hhp ../windows
 	rm $(HTMLDIR)/toc.hhc
 	cd ../windows
