=== debian/changelog ===
cluster3 (1.53-1) unstable; urgency=medium

  * New upstream version
  * Fix homepage and watch file
  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10
  * d/rules: short dh
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 17:37:43 +0200
