=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
 Section: non-free/science
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libmotif-dev,
-               autotools-dev,
                perl,
                libx11-dev,
                libice-dev,
                libxext-dev,
                libsm-dev,
                libxt-dev,
-               docbook-to-man
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cluster3/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cluster3/trunk/
-Homepage: http://bonsai.ims.u-tokyo.ac.jp/~mdehoon/software/cluster/
+               python-minimal,
+               python-setuptools,
+               python-numpy
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cluster3.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/cluster3.git
+Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
 
 Package: cluster3
 Architecture: any
