## cluster3 1.57

=== mac/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 HTMLDIR = ../html
 
 build/Default/Cluster.app: $(HTMLDIR)/html.helpindex $(HTMLDIR)/html\ idx $(DOCDIR)/cluster3.pdf
-	xcodebuild -sdk macosx10.11
+	xcodebuild -sdk macosx10.13
 	rm -r build/Cluster.build
 
 Cluster.pkg: build/Default/Cluster.app
