=== debian/changelog ===
cluster3 (1.57-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version: 4.3.0 - no changes reguired
  * d/u/metadata: yamllint
  * d/rules: acivated link-time optimisation, which reduced the size of
    both cluster3 and xcluster3 by ~25K each (down from 100K and 160K).

 -- Steffen Moeller <moeller@debian.org>  Sun, 27 Jan 2019 00:47:29 +0100

cluster3 (1.56-2) UNRELEASED; urgency=medium

  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Oct 2018 13:52:04 +0000

cluster3 (1.56-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove unnecessary get-orig-source target
  * XS-Autobuild: s/no/yes/

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 10:57:23 +0200
