=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
            Thorsten Alteholz <debian@alteholz.de>,
            Andreas Tille <tille@debian.org>
 Section: non-free/science
-XS-Autobuild: no
+XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libmotif-dev,
                perl,
                libx11-dev,
@@ -18,9 +18,9 @@
                python-minimal,
                python-setuptools,
                python-numpy
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cluster3.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/cluster3.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/cluster3
+Vcs-Git: https://salsa.debian.org/med-team/cluster3.git
 Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
 
 Package: cluster3
