=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CFLAGS += -flto
+LDFLAGS += -flto
 
 %:
 	dh $@
@@ -54,7 +57,3 @@
 	find debian/$(DEB_SOURCE)/usr -type d -name cluster | xargs rm -rf
 	# upstream Makefile installs executable cluster in /usr/bin - conflicting name, we are using cluster3
 	find debian/$(DEB_SOURCE)/usr/bin -type f -name cluster -delete
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --destdir=../tarballs
