=== debian/watch ===
version=3
http://bonsai.hgc.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar\.gz
