## cluster3 1.59%2Bds

=== debian/changelog ===
cluster3 (1.59+ds-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:33 +1100

cluster3 (1.59+ds-5build2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:46:58 +0000

cluster3 (1.59+ds-5build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:23 +0000

cluster3 (1.59+ds-5) unstable; urgency=medium

  * Team upload.
  * Binary upload built against python3.11 (Closes: #1028186)
  * Freshen years in debian/copyright
  * Add lintian overrides for long HTML lines

 -- tony mancill <tmancill@debian.org>  Sun, 08 Jan 2023 07:34:14 -0800

cluster3 (1.59+ds-4) unstable; urgency=medium

  * Team upload.
  * Binary upload built against python3.10 (Closes: #1008636)

 -- tony mancill <tmancill@debian.org>  Tue, 29 Mar 2022 21:32:28 -0700

cluster3 (1.59+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Tue, 08 Dec 2020 20:33:48 -0800

cluster3 (1.59+ds-2) unstable; urgency=medium

  [ Pranav Ballaney ]
  * Add reference files for autopkgtests
  * Add autopkgtests
  * Add docs

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jun 2020 21:47:53 +0200

cluster3 (1.59+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Excluding autogenerated files from archive in d/copyright

  [ Andreas Tille ]
  * Fix watch file
  * Add dh-python to Build-Depends
    Closes: #950768
  * Build-Depends: s/python3-all/python3-dev/
  * Standards-Version: 4.5.0 (routine-update)
  * Depends: ${python3:Depends}
  * Remove __pycache__ that remains from build time test

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2020 09:42:21 +0100

cluster3 (1.59-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 1.25-0.2.
  * python2 -> python3

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Jan 2020 00:45:36 +0100
