=== debian/changelog ===
cluster3 (1.59+ds-6build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:49 +0100

cluster3 (1.59+ds-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Add link to license in internet archive

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Jun 2024 08:41:57 +0900
