=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                libmotif-dev,
                perl,
                libx11-dev,
@@ -15,17 +16,19 @@
                libxext-dev,
                libsm-dev,
                libxt-dev,
-               python-minimal,
-               python-setuptools,
-               python-numpy
-Standards-Version: 4.3.0
+               python3-dev,
+               python3-setuptools,
+               python3-numpy
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cluster3
 Vcs-Git: https://salsa.debian.org/med-team/cluster3.git
 Homepage: http://bonsai.hgc.jp/~mdehoon/software/cluster/
+Rules-Requires-Root: no
 
 Package: cluster3
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: treeview
 Suggests: mapleview,
