=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,13 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS += -flto
 LDFLAGS += -flto
 
 %:
-	dh $@
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure:
 	# build nox version first
@@ -23,11 +22,12 @@
 	cp src/cluster cluster.nox
 	$(MAKE) clean
 	# now configure X version
-	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --with-x 
+	CFLAGS="$(CFLAGS)" ./configure -C --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --with-x
 
 override_dh_auto_build-arch:
 	# $(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	dh_auto_build
+	$(MAKE) -C X11
+	$(MAKE) -C src
 	cp src/cluster cluster.x
 
 override_dh_auto_build-indep:
@@ -43,8 +43,10 @@
 xcluster3.1: debian/xcluster3.sgml
 	docbook-to-man $< > $@
 
-override_dh_clean:
-	dh_clean src/*.o X11/*.o src/cluster X11/cluster src/Makefile src/Makefile.old X11/Makefile Makefile MANIFEST
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f cluster.nox cluster.x src/*.o X11/*.o X11/*.a src/cluster X11/cluster src/Makefile src/Makefile.old X11/Makefile Makefile MANIFEST
+	rm -rf X11/.deps/ config.cache config.h config.log config.status src/.deps/ stamp-h1
 
 override_dh_install:
 	dh_install
@@ -57,3 +59,5 @@
 	find debian/$(DEB_SOURCE)/usr -type d -name cluster | xargs rm -rf
 	# upstream Makefile installs executable cluster in /usr/bin - conflicting name, we are using cluster3
 	find debian/$(DEB_SOURCE)/usr/bin -type f -name cluster -delete
+	# Remove __pycache__ that remains from build time test
+	find . -name __pycache__ -type d | xargs rm -rf
