=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  http://bonsai.hgc.jp/~mdehoon/software/cluster/software.htm cluster-(.*)\.tar\.gz
